Page MenuHomePhabricator

Please add https://openaccess-cdn.clevelandart.org to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Hi, my name is Michael Dreiling. I'm a developer at the Cleveland Museum of Art.

On January 23rd we will be releasing over 30,000 of our artworks into the public domain under the CC0 1.0 license. As part of that initiative, we'd like to upload all of the images to Commons.

Could you please whitelist our CDN domain? https://openaccess-cdn.clevelandart.org. Example URLs will be:

https://openaccess-cdn.clevelandart.org/2014.375/2014.375_print.jpg
https://openaccess-cdn.clevelandart.org/2014.375/2014.375_web.jpg
https://openaccess-cdn.clevelandart.org/2014.375/2014.375_full.tif

As a side request (not sure if this is the right spot, so apologies if so), I'm trying to get permission to use the GLAM toolkit to upload the images. My user account on both beta and production is "madreiling". If you could add that permission to my account, or let me know who to contact, I'd really appreciate it.

Many thanks!

Michael

Event Timeline

Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptJan 16 2019, 2:30 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJan 16 2019, 4:01 PM
Madreiling updated the task description. (Show Details)Jan 16 2019, 10:04 PM
SandraF_WMF triaged this task as High priority.Jan 17 2019, 2:51 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJan 17 2019, 2:51 PM

I can vouch for this - I'll be helping the museum work on bulk uploading using GLAM Wiki Toolset. I have Beta Commons GWToolset and administrator privileges to assist in this. Thanks for expediting!

Sadads added a subscriber: Sadads.Jan 17 2019, 5:44 PM

@Zoranzoki21 do you have an ETA for when this will be available? I am not familiar with how the code gets added/merged.

@Sadads: In short: Someone needs to write a patch and put it into Gerrit. Then someone needs to review and +2 the patch. Then the patch gets automatically merged into the repository. The latest code in a repository gets deployed once a week onto servers to become available to everybody accessing Wikimedia sites in their browser, or earlier if someone explicitly schedules it for a SWAT deployment.

To expand Aklapper's general response, we can make it done next week. @Zoranzoki21, if you don't have time for this in next week, feel free to assign this to me.

To expand Aklapper's general response, we can make it done next week. @Zoranzoki21, if you don't have time for this in next week, feel free to assign this to me.

Is there any possible way to get it done faster? Next week will be too late for some of the goals we're looking at for announcing the opening of their data set.

Also: holding a domain whitelist in a PHP environment variable? The mind boggles.

Thanks!

See https://wikitech.wikimedia.org/wiki/Deployments#Near-term for available deployment slots (once the patch has been written, reviewed, and merged).

Zoranzoki21 added a comment.EditedJan 19 2019, 5:10 PM

To expand Aklapper's general response, we can make it done next week. @Zoranzoki21, if you don't have time for this in next week, feel free to assign this to me.

@Urbanecm I will do this and all other tasks assigned to me and schedule for deployment at Tuesday.

Change 485489 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Add few domains at $wgCopyUploadsDomains and cleanup inline comments

https://gerrit.wikimedia.org/r/485489

Change 485489 merged by jenkins-bot:
[operations/mediawiki-config@master] Add few domains at $wgCopyUploadsDomains and cleanup inline comments

https://gerrit.wikimedia.org/r/485489

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2019-01-24T12:36:52Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:485489|Add few domains at $wgCopyUploadsDomains and cleanup inline comments (T213961 T213632 T213649 T213924)]] (duration: 00m 53s)

Zoranzoki21 closed this task as Resolved.Jan 24 2019, 2:07 PM